=== debian/changelog ===
quake (1) experimental; urgency=low

  [ David Banks ]
  * Initial release.

  [ Simon McVittie ]
  * Move to contrib/games due to dependency on non-distributable data
  * Allow game-data-packager to satisfy the quake-data dependency: if a
    user installs this package before data, we want g-d-p to get installed,
    and the launcher copes gracefully with being run with no data
  * Change dependencies and re-word package description to talk about
    quake-registered and quake-shareware specifically, since they're the
    core packages
  * Recommend something that can display the "need data" message
  * Replace bitmapped icon with an independently-created SVG and scripts
    to generate various sizes
  * Add a Quake mini-policy in debian/policy.txt, describing a quake-engine
    alternative, and use that
  * Give the script a --engine switch to force a particular engine
  * Include menu entries for the mission packs, which are automatically
    hidden if the corresponding data files are not installed
  * Add a quake-server binary package

 -- Simon McVittie <smcv@debian.org>  Fri, 15 Jul 2011 17:35:56 +0100
