=== debian/control ===
Source: quake
Maintainer: David Banks <amoebae@gmail.com>
Uploaders: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>,
           Simon McVittie <smcv@debian.org>
Section: contrib/games
Priority: optional
Build-Depends: debhelper (>= 8)
Build-Depends-Indep: imagemagick,
                     inkscape,
                     xmlstarlet
Standards-Version: 3.9.2.0

Package: quake
Architecture: all
Depends: ${misc:Depends},
         quakespasm | quake-engine,
         quake-registered | quake-shareware | game-data-packager
Recommends: x11-utils | zenity | kdebase-bin
Suggests: quake-armagon (>= 29), quake-dissolution (>= 29)
Description: classic first person shooter
 This package contains a launcher script and menu entry to play
 Quake 1 with any suitable engine.
 .
 To make this package useful, you will need to create and install the
 non-distributable quake-registered or quake-shareware package, by using the
 game-data-packager package.
 .
 Creating quake-registered requires data files from a Quake installation or
 CD-ROM.
 .
 Creating quake-shareware requires the shareware version of Quake.

Package: quake-server
Architecture: all
Depends: adduser,
         quakespasm | quake-engine-server,
         quake-registered | quake-shareware | game-data-packager,
         ${misc:Depends}
Description: classic first person shooter - server and init script
 This package contains a launcher script and init script to run a
 Quake 1 server automatically, with any suitable engine.
 .
 To make this package useful, you will need to create and install the
 non-distributable quake-registered or quake-shareware package, by using the
 game-data-packager package.
