## quake 2

=== debian/changelog ===
quake (2) unstable; urgency=low

  [ David Banks ]
  * Suggest correct path to darkplaces

  [ Simon McVittie ]
  * Upload to unstable

 -- Simon McVittie <smcv@debian.org>  Wed, 09 Nov 2011 18:16:05 +0000
