=== debian/control ===
Source: quake
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: David Banks <amoebae@gmail.com>,
           Simon McVittie <smcv@debian.org>,
           Jack Coulter <jscinoz@gmail.com>
Section: contrib/games
Priority: optional
Build-Depends: debhelper (>= 9)
Build-Depends-Indep: imagemagick,
                     inkscape,
                     xcftools,
                     xmlstarlet
Standards-Version: 3.9.5
Vcs-Git: git://anonscm.debian.org/pkg-games/quake.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-games/quake.git

Package: quake
Architecture: all
Depends: quake-registered | quake-shareware | game-data-packager,
         quakespasm | quake-engine,
         ${misc:Depends}
Recommends: x11-utils | zenity | kde-baseapps-bin
Suggests: quake-armagon (>= 29),
          quake-armagon-music,
          quake-dissolution (>= 29),
          quake-dissolution-music,
          quake-music
Description: classic gothic/horror-themed first person shooter
 Quake is a classic first-person shooter game by id Software,
 released in 1996. This package contains a launcher script and menu
 entry to play Quake with any suitable engine.
 .
 To make this package useful, you will need to create and install the
 non-distributable quake-registered or quake-shareware package, by using the
 game-data-packager package.
 .
 Creating quake-registered requires data files from a Quake installation or
 CD-ROM.
 .
 Creating quake-shareware requires the shareware version of Quake.

Package: quake-server
Architecture: all
Depends: adduser,
         quake-registered | quake-shareware | game-data-packager,
         quakespasm | quake-engine-server,
         ${misc:Depends}
Description: classic first person shooter - server and init script
 This package contains a launcher script and init script to run a
 Quake 1 server automatically, with any suitable engine.
 .
 To make this package useful, you will need to create and install the
 non-distributable quake-registered or quake-shareware package, by using the
 game-data-packager package.

Package: quake2
Architecture: all
Depends: quake2-full-data | quake2-demo-data | game-data-packager (>= 34),
         yamagi-quake2 | quake2-engine,
         ${misc:Depends}
Suggests: quake2-music
Recommends: x11-utils | zenity | kde-baseapps-bin
Description: classic science-fiction-themed first person shooter
 Quake II is a classic first-person shooter game by id Software,
 released in 1997. This package contains a launcher script and menu
 entry to play Quake II with any suitable engine.
 .
 To make this package useful, you will need to create and install some
 non-distributable packages by using the game-data-packager package:
 either quake2-full-data or quake2-demo-data. Creating quake2-full-data
 requires data files from a Quake II installation or CD-ROM.

Package: quake2-server
Architecture: all
Depends: adduser,
         quake2-full-data | quake2-demo-data | game-data-packager (>= 34),
         yamagi-quake2-core | quake2-engine-server,
         ${misc:Depends}
Description: dedicated server for Quake II
 This package contains a launcher script and init script to run a
 Quake II server automatically, with any suitable engine.
 .
 To make this package useful, you will need to create and install some
 non-distributable packages by using the game-data-packager package:
 either quake2-full-data or quake2-demo-data. Creating quake2-full-data
 requires data files from a Quake II installation or CD-ROM.

Package: quake3
Architecture: all
Depends: ioquake3,
         quake3-data | game-data-packager (>= 23),
         ${misc:Depends}
Recommends: x11-utils | zenity | kde-baseapps-bin
Description: Quake III Arena menu entry and launcher scripts
 This package contains a launcher script and menu entry to play
 Quake III Arena with the ioQuake3 engine.
 .
 To make this package useful, you will need to create and install the
 non-distributable quake3-data package, by using the game-data-packager
 package. This requires pak0.pk3 from a Quake III installation or CD-ROM.

Package: quake3-server
Architecture: all
Depends: adduser,
         ioquake3-server,
         quake3-data | game-data-packager (>= 23),
         ${misc:Depends}
Description: Quake III Arena dedicated server launcher scripts
 This package contains a launcher script to run a Quake III Arena dedicated
 server with the ioQuake3 engine.
 .
 To make this package useful, you will need to create and install the
 non-distributable quake3-data package, by using the game-data-packager
 package. This requires pak0.pk3 from a Quake III installation or CD-ROM.
