=== debian/changelog ===
quake (13) unstable; urgency=medium

  * Canonicalize Vcs-Browser, and use https
  * Upload to unstable

 -- Simon McVittie <smcv@debian.org>  Wed, 29 Apr 2015 10:11:59 +0100

quake (12) experimental; urgency=low

  * quake3-server.init: set correct com_homepath for sysvinit servers
    (server.q3a, not /var/games/.../server.q3a - it is meant to be relative
    to $HOME)
  * quake3-server: install extra symlinks so that server.cfg can be found
    when using quake3*-data (>= 40)

 -- Simon McVittie <smcv@debian.org>  Thu, 05 Feb 2015 11:02:50 +0000

quake (11) experimental; urgency=low

  * quake3: fix installed-location detection by looking for pak0.pk3,
    not pak0.pak

 -- Simon McVittie <smcv@debian.org>  Wed, 04 Feb 2015 11:17:00 +0000

quake (10) experimental; urgency=low

  * quake2: execute debian_server.cfg again, reverting a change from v9.
    Unlike quake and quake3, quake2's default configuration file is named
    debian_server.cfg, and the demo and full game have different versions.
  * quake, quake3: remove support for START_DAEMON
    - if the server was previously disabled via START_DAEMON,
      do a one-time migration to "update-rc.d $SERVICE disable"
  * Modify quake*-server configuration
    - put default for DAEMON_OPTS in /etc/init.d/quake*-server so it can
      operate without /etc/default/quake*-server
    - "+exec etc/quake*-server/server.cfg" is no longer part of DAEMON_OPTS
    - add native systemd units
    - add optional instanced systemd units for multiple servers per machine
  * quake3: prefer to load game data from /usr/lib/quake3/base
    or /usr/lib/quake3/ta, where ioquake3 can provide native-code game modules
    - this requires ioquake3 (>= 1.36+u20150114+dfsg1-1~) and
      quake3*-data built by game-data-packager (>= 40)
  * quake3: experimental support for loading the demo data
    - the same requirements apply
  * Standards-Version 3.9.6 (no changes)
  * Simplify advice on obtaining game data, and point to
    game-data-packager's new declarative data files for checksums and
    exact sizes (Closes: #762823)
  * quake-server, quake2-server: if no data, exit 72 like quake3-server does

 -- Simon McVittie <smcv@debian.org>  Wed, 04 Feb 2015 10:18:27 +0000

quake (9) experimental; urgency=low

  * quake3.desktop: describe Q3 as an ActionGame, not an ArcadeGame
  * Install the Q3 icon to the freedesktop.org icon path
  * Add recoloured icons and desktop files for the Quake II mission packs
    (requires quake2-reckoning and/or quake2-groundzero from
    game-data-packager 39)
  * Add desktop file for Quake III: Team Arena (requires quake3-team-arena
    from game-data-packager 39) and install its icon
  * Partially sync server configuration from openjk and iortcw:
    - deprecate START_DAEMON
    - make /etc/quake*-server available as etc/quake*-server in the game
      engine's search path so it's more obvious what is being exec'd (leave
      the debian_server.cfg symlink in for compatibility)
  * quake3-server: use a non-hidden home path,
    /var/games/quake3-server/server.q3a, in preparation for multiple-instance
    support

 -- Simon McVittie <smcv@debian.org>  Thu, 22 Jan 2015 12:32:19 +0000
