=== debian/control ===
--- 
+++ 
@@ -5,14 +5,16 @@
            Jack Coulter <jscinoz@gmail.com>
 Section: contrib/games
 Priority: optional
-Build-Depends: debhelper (>= 9)
+Build-Depends:
+ debhelper (>= 9),
+ dh-systemd,
 Build-Depends-Indep: imagemagick,
                      inkscape,
                      xcftools,
                      xmlstarlet
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Vcs-Git: git://anonscm.debian.org/pkg-games/quake.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-games/quake.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-games/quake.git
 
 Package: quake
 Architecture: all
@@ -38,6 +40,11 @@
  CD-ROM.
  .
  Creating quake-shareware requires the shareware version of Quake.
+ .
+ game-data-packager (>= 29) can also produce packages for the offical mission
+ packs Scourge of Armagon (developed by Hipnotic Software) and Dissolution
+ of Eternity (developed by Rogue Entertainment). Additional menu entries
+ should appear automatically if those expansions are installed.
 
 Package: quake-server
 Architecture: all
@@ -58,8 +65,13 @@
 Depends: quake2-full-data | quake2-demo-data | game-data-packager (>= 34),
          yamagi-quake2 | quake2-engine,
          ${misc:Depends}
-Suggests: quake2-music
-Recommends: x11-utils | zenity | kde-baseapps-bin
+Suggests:
+ quake2-music,
+ quake2-reckoning,
+ quake2-groundzero,
+Recommends:
+ game-data-packager (>= 39),
+ x11-utils | zenity | kde-baseapps-bin,
 Description: classic science-fiction-themed first person shooter
  Quake II is a classic first-person shooter game by id Software,
  released in 1997. This package contains a launcher script and menu
@@ -69,6 +81,11 @@
  non-distributable packages by using the game-data-packager package:
  either quake2-full-data or quake2-demo-data. Creating quake2-full-data
  requires data files from a Quake II installation or CD-ROM.
+ .
+ game-data-packager (>= 39) can also produce packages for the offical mission
+ packs The Reckoning (developed by Xatrix Entertainment) and Ground Zero
+ (developed by Rogue Entertainment). Additional menu entries should
+ appear automatically if those expansions are installed.
 
 Package: quake2-server
 Architecture: all
@@ -76,6 +93,9 @@
          quake2-full-data | quake2-demo-data | game-data-packager (>= 34),
          yamagi-quake2-core | quake2-engine-server,
          ${misc:Depends}
+Suggests:
+ quake2-reckoning,
+ quake2-groundzero,
 Description: dedicated server for Quake II
  This package contains a launcher script and init script to run a
  Quake II server automatically, with any suitable engine.
@@ -88,16 +108,25 @@
 Package: quake3
 Architecture: all
 Depends: ioquake3,
-         quake3-data | game-data-packager (>= 23),
+         quake3-data | quake3-demo-data (>= 40) | game-data-packager (>= 23),
          ${misc:Depends}
+Suggests: quake3-team-arena-data
 Recommends: x11-utils | zenity | kde-baseapps-bin
 Description: Quake III Arena menu entry and launcher scripts
  This package contains a launcher script and menu entry to play
- Quake III Arena with the ioQuake3 engine.
+ Quake III Arena or Quake III: Team Arena with the ioquake3 engine.
  .
  To make this package useful, you will need to create and install the
- non-distributable quake3-data package, by using the game-data-packager
- package. This requires pak0.pk3 from a Quake III installation or CD-ROM.
+ non-distributable quake3-data or quake3-demo-data package, by using
+ the game-data-packager package.
+ .
+ quake3-data requires pak0.pk3 from a Quake III installation or CD-ROM.
+ quake3-demo-data only requires freely downloadable files, but is
+ not necessarily reliable.
+ .
+ game-data-packager (>= 39) can also produce a package for the offical
+ expansion pack Quake III: Team Arena. An additional menu entry should appear
+ automatically if that expansion are installed.
 
 Package: quake3-server
 Architecture: all
@@ -105,9 +134,12 @@
          ioquake3-server,
          quake3-data | game-data-packager (>= 23),
          ${misc:Depends}
+Recommends:
+ game-data-packager (>= 39),
+Suggests: quake3-team-arena-data
 Description: Quake III Arena dedicated server launcher scripts
- This package contains a launcher script to run a Quake III Arena dedicated
- server with the ioQuake3 engine.
+ This package contains a launcher script to run a Quake III Arena or
+ Quake III: Team Arena dedicated server with the ioquake3 engine.
  .
  To make this package useful, you will need to create and install the
  non-distributable quake3-data package, by using the game-data-packager
