=== debian/changelog ===
quake (16) unstable; urgency=medium

  * Move Build-Depends-Indep to Build-Depends; they are needed
    for the quake4 package, which is Architecture: i386 due to
    its dependency on i386-only binaries.
  * Upload to unstable

 -- Simon McVittie <smcv@debian.org>  Sat, 21 Nov 2015 18:16:46 +0000

quake (15+exp1) experimental; urgency=medium

  * Enable the quake4 packages unconditionally
  * Upload to experimental to wait for NEW processing

 -- Simon McVittie <smcv@debian.org>  Sun, 01 Nov 2015 00:06:05 +0000

quake (15) unstable; urgency=medium

  * quake3-server: correct help text
  * quake3-server: lock the Debian-quake3 account on purge, and unlock
    it on reinstallation, instead of deleting it on purge.
    This matches what we do for quake-server and quake2-server,
    and hardens the system against the possibility that files owned
    by Debian-quake3 might become owned by an unrelated user that
    is given the same numeric uid.
  * Add support for Quake 4, using the proprietary binaries (there is
    no open-source engine). These packages are currently skipped by
    default: use DEB_BUILD_OPTIONS=quake4 to build them.

 -- Simon McVittie <smcv@debian.org>  Sun, 01 Nov 2015 00:05:29 +0000

quake (14) unstable; urgency=medium

  [ Alexandre Detiste ]
  * Don't show "--text=" in kdialog prompt (Closes: #781943)
  * Suggest new packages quake2-{groundzero,reckoning}-data
    instead of their old names quake2-{groundzero,reckoning}

  [ Simon McVittie ]
  * Install a 48x48 version of the Quake III Arena icons in addition
    to 256x256, as recommended by the XDG Icon Theme spec
  * Stop installing traditional Debian menu files to comply with
    CTTE decision #741573
  * Stop installing XPM icons
  * Use unique temporary filenames, so parallel builds can work

 -- Simon McVittie <smcv@debian.org>  Fri, 02 Oct 2015 10:03:28 +0100
