=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --parallel --with=systemd

override_dh_installinit:
	dh_installinit -pquake4-server --noscripts
	dh_installinit --remaining-packages

override_dh_systemd_enable:
	dh_systemd_enable -pquake4-server --no-enable
	dh_systemd_enable --remaining-packages
